Cannot clear all watchers when copying an issue

2017-09-11 04:47 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 3.4.4   

Resolution: Fixed Affected version: 3.4.2

Description

We can select/deselect watchers when we create an issue by copying existing issue (#10460).

But if you deselect all watchers, the original watchers are preselected in the newly created issue despite the exception that the

copied issue has no watcher.

Steps to reproduce:

1. The original issue has 2 watchers.

 

2. Click "Copy" and deselect all watcher.

 

3. The newly created issue should not have any watchers but all watchers are preserved.
https://www.redmine.org/issues/10460


 

Related issues:

Related to Redmine - Feature #10460: Option to copy watchers when copying issues Closed

Associated revisions

Revision 17153 - 2018-01-07 23:18 - Jean-Philippe Lang

Cannot clear all watchers when copying an issue (#26880).

Revision 17154 - 2018-01-07 23:21 - Jean-Philippe Lang

Merged r17153 to 3.4-stable (#26880).

History

#1 - 2017-09-11 04:48 - Go MAEDA

- Related to Feature #10460: Option to copy watchers when copying issues added

#2 - 2017-09-20 10:34 - Tibor Kreiter

Hi Go MAEDA!

You have to change this row in app/controllers/issue_controller:

 row:493      - @copy_watchers = User.current.allowed_to?(:add_issue_watchers, @project)

              + @copy_watchers = params[:copy_watchers].present?  || request.get?

 I think it will be solve your problem.

Tibor

#3 - 2017-10-20 06:46 - Toshi MARUYAMA

- Status changed from New to Confirmed

- Target version set to 3.4.4

It seems caused by #10460.

#4 - 2017-12-01 09:50 - Takenori TAKAKI

- File fix_26880.patch added

I think the attached patch will solve this problem.

this patch compatible with latest trunk (r17055).

#5 - 2018-01-07 23:21 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed
https://www.redmine.org/issues/10460
https://www.redmine.org/projects/redmine/repository/svn/revisions/17055


Fix applied with a slightly different solution.

Thanks for pointing this out.
